Skip to content

Reorder form fields

PUT
/v1/forms/{form}/fields/reorder
curl --request PUT \
--url https://api.submeto.com/v1/forms/example/fields/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "order": [ 16 ] }'

Replaces the field ordering of a form. The order array must contain every active field ID exactly once. Requires the forms:update scope and a current If-Match Form validator.

form
required
string

The form ID.

If-Match
string
Media typeapplication/json
object
order
required
Array<integer>
Example
[
16
]

Fields reordered

Media typeapplication/json
object
data
Array<object>
object
id
string
name
string
label
string
type
string
required
boolean
options
string
nullable
validation
object
kind
string
preset
string
position
integer
created_at
string
updated_at
string
request_id
string
Example
{
"data": [
{
"id": "REQUEST_ID",
"name": "email",
"label": "Email",
"type": "string",
"required": true,
"options": null,
"validation": {
"kind": "preset",
"preset": "email"
},
"position": 0,
"created_at": "2026-01-15T09:00:00.000Z",
"updated_at": "2026-08-31T10:15:00.000Z"
}
],
"request_id": "REQUEST_ID"
}

Not found or not granted

Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{
"error": {
"code": "resource_not_found",
"message": "Resource not found.",
"details": {}
},
"request_id": "REQUEST_ID"
}

Stale ETag

Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{
"error": {
"code": "precondition_failed",
"message": "The Form revision does not match the If-Match ETag.",
"details": {}
},
"request_id": "REQUEST_ID"
}

Invalid order

Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{
"error": {
"code": "invalid_field_order",
"message": "The field order must contain every active Field ID exactly once.",
"details": {}
},
"request_id": "REQUEST_ID"
}

Missing If-Match

Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{
"error": {
"code": "precondition_required",
"message": "A current If-Match Form validator is required.",
"details": {}
},
"request_id": "REQUEST_ID"
}